LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XAccessibleContext3 Interface Reference

Implement this interface to speed up operations when iterating over large amounts of children. More...

`import"XAccessibleContext3.idl";`

Inheritance diagram for XAccessibleContext3:

## Public Member Functions
sequence< XAccessible > | getAccessibleChildren ()
| Return the children. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Implement this interface to speed up operations when iterating over large amounts of children.

Since
  LibreOffice 6.4

## Member Function Documentation

## ◆ getAccessibleChildren()

sequence< XAccessible > getAccessibleChildren | ( |  | ) |

Return the children.

The order in which the children are enumerated is implementation dependent.

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleContext3.idl